ResolutionException (Java SE 12 & JDK 12 )
Keywords: java.lang.module.ResolutionException class

Module java.base
Package java.lang.module

## Class ResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.module.ResolutionException

- All Implemented Interfaces:
    `Serializable`

      public class ResolutionException
      extends RuntimeException

  Thrown when resolving a set of modules, or resolving a set of modules with service binding, fails.
  Since:
    9
  See Also:
    `Configuration`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolutionException()` | Constructs a `ResolutionException` with no detail message.
    `ResolutionException​(String msg)` | Constructs a `ResolutionException` with the given detail message.
    `ResolutionException​(String msg, Throwable cause)` | Constructs a `ResolutionException` with the given detail message and cause.
    `ResolutionException​(Throwable cause)` | Constructs an instance of this exception with the given cause.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolutionException

          public ResolutionException()

      Constructs a `ResolutionException` with no detail message.

    - #### ResolutionException

          public ResolutionException​(String msg)

      Constructs a `ResolutionException` with the given detail message.
      Parameters:
        `msg` - The detail message; can be `null`

    - #### ResolutionException

          public ResolutionException​(Throwable cause)

      Constructs an instance of this exception with the given cause.
      Parameters:
        `cause` - The cause; can be `null`

    - #### ResolutionException

          public ResolutionException​(String msg,
                                     Throwable cause)

      Constructs a `ResolutionException` with the given detail message and cause.
      Parameters:
        `msg` - The detail message; can be `null`
        `cause` - The cause; can be `null`